Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Class Validation

    java.lang.Object
      net.sf.saxon.om.Validation

    public final class Validation

extends Object

This class contains constants and static methods to manipulate the validation property of a type.

Field Summary
`static int` | `BY_TYPE`
`static int` | `DEFAULT`
`static int` | `INVALID`
`static int` | `LAX`
`static int` | `PRESERVE`
`static int` | `SKIP`
`static int` | `STRICT`
`static int` | `STRIP`
`static int` | `VALIDATE_OUTPUT`
`static int` | `VALIDATION_MODE_MASK`

Method Summary
`static int` | `getCode(String value)`
`static String` | `toString(int value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID

    public static final int INVALID

See Also:
  Constant Field Values

### STRICT

    public static final int STRICT

See Also:
  Constant Field Values

### LAX

    public static final int LAX

See Also:
  Constant Field Values

### PRESERVE

    public static final int PRESERVE

See Also:
  Constant Field Values

### STRIP

    public static final int STRIP

See Also:
  Constant Field Values

### SKIP

    public static final int SKIP

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### BY_TYPE

    public static final int BY_TYPE

See Also:
  Constant Field Values

### VALIDATION_MODE_MASK

    public static final int VALIDATION_MODE_MASK

See Also:
  Constant Field Values

### VALIDATE_OUTPUT

    public static final int VALIDATE_OUTPUT

See Also:
  Constant Field Values

Method Detail

### getCode

    public static int getCode(String value)

### toString

    public static String toString(int value)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.